Ruby: pm_rescue_node Struct Reference

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Data Fields
pm_rescue_node Struct Reference

RescueNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | keyword_loc
| RescueNode#keyword_loc.
struct pm_node_list | exceptions
| RescueNode#exceptions.
pm_location_t | operator_loc
| RescueNode#operator_loc.
struct pm_node * | reference
| RescueNode#reference.
struct pm_statements_node * | statements
| RescueNode#statements.
struct pm_rescue_node * | consequent
| RescueNode#consequent.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

RescueNode.

Type: PM_RESCUE_NODE

Definition at line 4001 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_rescue_node::base

The embedded base node.

Definition at line 4003 of file ast.h.

## ◆ consequent

struct pm_rescue_node* pm_rescue_node::consequent

RescueNode#consequent.

Definition at line 4021 of file ast.h.

Referenced by pm_node_destroy().

## ◆ exceptions

struct pm_node_list pm_rescue_node::exceptions

RescueNode#exceptions.

Definition at line 4009 of file ast.h.

Referenced by pm_node_destroy().

## ◆ keyword_loc

pm_location_t pm_rescue_node::keyword_loc

RescueNode#keyword_loc.

Definition at line 4006 of file ast.h.

## ◆ operator_loc

pm_location_t pm_rescue_node::operator_loc

RescueNode#operator_loc.

Definition at line 4012 of file ast.h.

## ◆ reference

struct pm_node* pm_rescue_node::reference

RescueNode#reference.

Definition at line 4015 of file ast.h.

Referenced by pm_node_destroy().

## ◆ statements

struct pm_statements_node* pm_rescue_node::statements

RescueNode#statements.

Definition at line 4018 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h